{
  lib,
  modulesPath,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot.initrd.availableKernelModules = [
    "xhci_pci"
    "ahci"
    "uas"
    "usbhid"
    "sd_mod"
  ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/1257f6f4-52bf-4c9a-aa00-86080ecd044c";
    fsType = "btrfs";
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/C182-445E";
    fsType = "vfat";
    options = [
      "fmask=0077"
      "dmask=0077"
    ];
  };

  swapDevices = [ { device = "/dev/disk/by-uuid/96a0423d-a4c0-4376-9d34-5a99b764010a"; } ];

  networking = {
    useDHCP = lib.mkDefault true;
    wg-quick.interfaces = {
      wgnixin = {
        address = [
          "192.168.12.4/32"
          "2a01:4f9:1a:9a05::4/128"
        ];
        dns = [
          "80.67.169.12"
          "80.67.169.40"
          "2001:910:800::12"
          "2001:910:800::40"
        ];
        privateKeyFile = "/home/mrflos/Nextcloud/Apps/lab12.mrflos.wg-private.key";

        peers = [
          {
            publicKey = "cUmp55I20JEhxr+RMmOsX+6U9kcDiAq3grnvzjQ642w=";
            allowedIPs = [
              #"0.0.0.0/0"
              #"::/0"
              "192.168.12.0/24"
              "2a01:4f9:1a:9a05::/64"
            ];
            endpoint = "vpn.lab12.fr:51812";
            persistentKeepalive = 25;
          }
        ];
      };
      wg34 = {
        address = [
          "10.34.12.8/24"
        ];
        dns = [
          "80.67.169.12"
          "80.67.169.40"
          # "89.234.152.131" #iloth
        ];
        privateKeyFile = "/home/mrflos/Nextcloud/Apps/iloth.mrflos.wg-private.key";

        peers = [
          {
            publicKey = "n23gZzugKc68ax6J8LDZ3DG7ECwjXXDi/XTwas6RbAU=";
            allowedIPs = [
              "10.34.0.0/16"
            ];
            endpoint = "goelland-wan.distrilab.org:51777";
            persistentKeepalive = 25;
          }
        ];
      };
    };
  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
